<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1NodeAnimationTrack.html">NodeAnimationTrack</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::NodeAnimationTrack Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#acdfc6729a95edae3da832c713648046d">_applyBaseKeyFrame</a>(const KeyFrame *base)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#af25294adccef1ab3c5d456aee2c5cb29">_buildKeyFrameIndexMap</a>(const vector&lt; Real &gt;::type &amp;keyFrameTimes)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#af8baa5bda564ab10fced1e265f21f833">_clone</a>(Animation *newParent) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a9e950713ebb7b1c51fdd90ec8378c2cc">_collectKeyFrameTimes</a>(vector&lt; Real &gt;::type &amp;keyFrameTimes)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#ac63ec3b7f27897f2223aca60f4c90422">_keyFrameDataChanged</a>(void) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a0209b4a0d1461af76fdfcbf31b0537f2">AnimationTrack</a>(Animation *parent, unsigned short handle)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a6260acaf8a310d45a175030e5b2f41d7">apply</a>(const TimeIndex &amp;timeIndex, Real weight=1.0, Real scale=1.0f)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a19204ead354110f70193f153959a58b4">applyToNode</a>(Node *node, const TimeIndex &amp;timeIndex, Real weight=1.0, Real scale=1.0f)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a1745b618de6c8684b77ef3f2314065e3">buildInterpolationSplines</a>(void) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a4517a1b16d6cb601754d98841bb4d7d6">createKeyFrame</a>(Real timePos)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#ae924dabecde99745c3aa9a24729e8902">createKeyFrameImpl</a>(Real time)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a5018654d95b4bca786c90c073fba4898">createNodeKeyFrame</a>(Real timePos)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a154e16dad0e109284e1119251aa4da3f">getAssociatedNode</a>(void) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a32de796f12f6afee4c93e12625535577">getHandle</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a2eddbf3e31adce0c1cde9db3d710c131">getInterpolatedKeyFrame</a>(const TimeIndex &amp;timeIndex, KeyFrame *kf) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#af27f57a984619052cca4726cdfd26f3c">getKeyFrame</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a55533ed5218c6d423e9443afa2580f5a">getKeyFramesAtTime</a>(const TimeIndex &amp;timeIndex, KeyFrame **keyFrame1, KeyFrame **keyFrame2, unsigned short *firstKeyIndex=0) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#ad0e20b825ba5221fe809456795fa9afe">getNodeKeyFrame</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#ae0c1160b89c7f2be74ae2962239bd732">getNumKeyFrames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a2e5269293886cae1d0bc7e0255b239fd">getParent</a>() const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a4186c14ee9b495a25cfb529e001a5569">getUseShortestRotationPath</a>() const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a33dfa5ceaf4d6636da3a46038068aa11">hasNonZeroKeyFrames</a>(void) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a2faf6bb4a4d61446bc25795f8f7d957c">KeyFrameIndexMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#affbdca5aaf89d6d611d8da2dc6143f1a">KeyFrameList</a> typedef</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a5fb5dc3c01452aa4d542981485d15080">mHandle</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a2c053bac1d2eedc782eb24b79dc79a21">mKeyFrameIndexMap</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a8a9bee08f6fa537fc0bcfcee2423775c">mKeyFrames</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#ab1a098b88d428931e3d45393410bc68c">mListener</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#aea479089005d263e195cde7e4faca665">mParent</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a9254f84e8a884379be88508481a9760d">mSplineBuildNeeded</a></td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#aeda31d3b9e77688be33d7e57b0d25f0b">mSplines</a></td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a0dc80f6d98b2b0d4d1022af4629abf88">mTargetNode</a></td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a5b92dd90793e598d1338e0573a22d62d">mUseShortestRotationPath</a></td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a08bfcb3a32f8237ee3f0be5abfa514d4">NodeAnimationTrack</a>(Animation *parent, unsigned short handle)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#ab2c1cd43a5efd4ccdae8600f77171943">NodeAnimationTrack</a>(Animation *parent, unsigned short handle, Node *targetNode)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#abab18a48c2cf56ef09d5049fa8289ad2">optimise</a>(void)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a4e61fb2e00abd26a854d122452cb21a0">populateClone</a>(AnimationTrack *clone) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#ac8f7b83d742998ed46c8cdb10e404df6">removeAllKeyFrames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a3e1ccd99179d804992a5224fe811c2dd">removeKeyFrame</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a9c488e5aa6c197205cd1d70e83a22aa7">setAssociatedNode</a>(Node *node)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#afe26aa738aca34c07407b6566b5d9eeb">setListener</a>(Listener *l)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a489fa7a407f81e876e947127cd52d7bb">setUseShortestRotationPath</a>(bool useShortestPath)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a28fb904ec7b101ad71fae5c6930b0d34">~AnimationTrack</a>()</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a01ffa844be9d73c9ead5b38cc8a69809">~NodeAnimationTrack</a>()</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
